package com.iformall.domain.vo;

import javax.persistence.Id;

public class WxLevelMerchantCVo {
	private static final long serialVersionUID = 6687964942922444531L;

	@Id
	protected Long id;
	public Long getId() {
		return id;
	}
	public void setId(Long id) {
		this.id = id;
	}

	/**商户名**/
	@io.swagger.annotations.ApiModelProperty(value="商户名",name="name")
	private String merchantName;
	/**联系方式**/
	@io.swagger.annotations.ApiModelProperty(value="商户联系方式",name="linkPhone")
	private String merchantLinkPhone;
	@io.swagger.annotations.ApiModelProperty(value="商铺编号",name="shopNumber")
	private String shopNumber;
	/**楼座号**/
	@io.swagger.annotations.ApiModelProperty(value="楼座",name="buildingName")
	private String buildingName;
	/**楼层号**/
	@io.swagger.annotations.ApiModelProperty(value="楼层",name="floorName")
	private String floorName;

	/**折扣**/
	@io.swagger.annotations.ApiModelProperty(value="折扣",name="discount")
	private Integer discount;

	public String  getBuildingName() {return buildingName; }
	public void setBuildingName(String _building) {
		buildingName = _building;
	}
	public String  getFloorName() {
		return floorName;
	}
	public void setFloorName(String _floor) {
		floorName = _floor;
	}
	public String  getShopNumber() {
		return shopNumber;
	}
	public void setShopNumber(String _shopNumber) {
		shopNumber = _shopNumber;
	}

	public String  getMerchantName() {
		return merchantName;
	}
	public void setMerchantName(String _name) {
		merchantName = _name;
	}
	public String  getMerchantLinkPhone() {
		return merchantLinkPhone;
	}
	public void setMerchantLinkPhone(String _linkPhone) {
		merchantLinkPhone = _linkPhone;
	}

	public Integer getDiscount() {
		return discount;
	}

	public void setDiscount(Integer discount) {
		this.discount = discount;
	}
}
